hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lefty Leverenz (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-11790) HCatLoader documentation refers to deprecated package.
Date Sat, 30 Jan 2016 23:32:39 GMT

    [ https://issues.apache.org/jira/browse/HIVE-11790?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15125132#comment-15125132
] 

Lefty Leverenz commented on HIVE-11790:
---------------------------------------

Thank you, Andrew.  Here are links to the doc changes:

* [Running Pig | https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=34013511#HCatalogLoadStore-RunningPig]
* [HCatLoader -- Usage | https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=34013511#HCatalogLoadStore-Usage]
* [HCatLoader -- Load Examples | https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=34013511#HCatalogLoadStore-LoadExamples]
* [HCatStorer -- Usage | https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=34013511#HCatalogLoadStore-Usage.1]
* [HCatStorer -- Store Examples | https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=34013511#HCatalogLoadStore-StoreExamples]

A question:  In the Stale Content Warning box, shouldn't "Pig Versions" be "Hive Versions"?
 I'm not familiar with Pig versions but in this jira's description [~mithun] says "The old
package was deprecated and removed in Hive 0.13."  Hmm ... that would mean it's Hive 0.13+
instead of 0.14+.  Could you please check?

The same question applies to the new subheading "Using Pig 0.14+" in the HCatLoader Usage
section.

> HCatLoader documentation refers to deprecated package.
> ------------------------------------------------------
>
>                 Key: HIVE-11790
>                 URL: https://issues.apache.org/jira/browse/HIVE-11790
>             Project: Hive
>          Issue Type: Bug
>            Reporter: Mithun Radhakrishnan
>            Assignee: Andrew Sears
>            Priority: Trivial
>
> The [HCatLoader documentation page|https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=34013511]
seems to refer to {{org.apache.hcatalog.pig.HCatLoader}} instead of {{org.apache.hive.hcatalog.pig.HCatLoader}}.
(Similarly, the {{HCatStorer}} documentation might need change.) The old package was deprecated
and removed in Hive 0.13.
> Let's change the documentation to reflect the new package-name.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message